COURSEWARE SUPPORT
Online assistance for Canvas from Wharton Computing's Courseware Team

System requirements

Summary

Canvas runs on a variety of platforms and devices. In general, for an optimal experience with Canvas, you should be using the most current version of your browser, and you should have JavaScript enabled.

Because we use BlueJeans conferencing at Wharton, the Java requirement for presenters in the Canvas built-in Conferences tool does not apply here; similarly, Canvas' prior requirement for Adobe Flash Player will be winding down during Academic Year 2017-18.

Instructure, the maker of Canvas, provides the following help:

Have more questions? Submit a request

Comments

Powered by Zendesk